Loading...
Searching...
No Matches
encoder.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/trellis/api.h>`
`#include <gnuradio/trellis/fsm.h>`
`#include <cstdint>`
Include dependency graph for gr-trellis/include/gnuradio/trellis/encoder.h:

Go to the source code of this file.

## Classes

class | gr::trellis::encoder< IN_T, OUT_T >
| Convolutional encoder. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::trellis

## Typedefs

typedef encoder< std::uint8_t, std::uint8_t > | gr::trellis::encoder_bb
typedef encoder< std::uint8_t, std::int16_t > | gr::trellis::encoder_bs
typedef encoder< std::uint8_t, std::int32_t > | gr::trellis::encoder_bi
typedef encoder< std::int16_t, std::int16_t > | gr::trellis::encoder_ss
typedef encoder< std::int16_t, std::int32_t > | gr::trellis::encoder_si
typedef encoder< std::int32_t, std::int32_t > | gr::trellis::encoder_ii